Subject: bug#29062: PRINTF

From: Assaf Gordon <[email-masked]>
Date: Sun, 29 Oct 2017 18:46:04 -0600

tag 29062 notabug
close 29062
stop

Hello,

On 2017-10-29 04:59 AM, archit soni wrote:
> my name Archit soni.i studying in B.E in I.T. MY friend name is Parth
> prajapati .he is studying in B.Tech.he has some may bug in printf in c.We
> are some situation face in printf.I have already attached image and program
> also. you have to see in first printf &a address and 4th printf statement
> address will be change how can be possible .if find any answer  then please
> reply our mail ID below.

This is not a relevant mailing list for such questions.

This is the GNU Coreutils mailing list, which is relevant for questions 
about the printf unix command.

You are asking about the printf C-library function.

While both are named the same, and also share similar functionality,
they are quite different topics.

If you reached this mailing list after reading a manual page (e.g.
typing "man printf"), then it was likely the wrong manual page.

For the unix command, try:
    man 1 printf
For the C function, try:
    man 3 printf

Other programing resources could be the GNU LibC manual:
 
https://www.gnu.org/software/libc/manual/html_node/Formatted-Output-Basics.html#Formatted-Output-Basics

The POSIX printf function page:
   http://pubs.opengroup.org/onlinepubs/9699919799/functions/printf.html

Websites such as:
   http://www.cplusplus.com/reference/cstdio/printf/

Or Q&A websites such as StackOverflow.com .

While I have not tried to run your code,
from a cursory look I'd suggest using "%p" when printing pointers,
and ensuring all types are correct (that is: do not ignore any compiler
warnings about incorrect types for printf).

However, we can not provide further support about programming questions
in this mailing list.

As such, I'm closing this bug.

Regards,
  - assaf